Skip to main content
GET
/
speakers
List speakers
curl --request GET \
  --url https://api.beyondwords.io/v1/speakers \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 1,
    "first_name": "Jane",
    "last_name": "Doe",
    "avatar_url": "https://example.com/avatar.jpg",
    "voices": [],
    "created": "2023-12-31T00:00:00.000Z",
    "updated": "2023-12-31T00:00:00.000Z"
  }
]
Lists speakers in your organization. Speakers represent the people behind custom and cloned voices. Use the returned id as speaker_id when you create a voice.

Authorizations

X-Api-Key
string
header
required

Query Parameters

custom_voices
enum<string>

The level of detail to show for custom_voices in the response: 'none' or 'partial'

Available options:
partial

Response

OK

id
integer

Unique identifier for the object

first_name
string

The first name of the speaker

last_name
string | null

The last name of the speaker

avatar_url
string | null

The image URL of the speaker

created
string<date-time>

Time at which the object was created (ISO 8601)

updated
string<date-time>

Time at which the object was updated (ISO 8601)

custom_voices
object[] | null

The custom voices for the speaker

voices
object[] | null

The voices for the speaker